Create Collection
curl --request POST \
--url https://video.bunnycdn.com/library/{libraryId}/collections \
--header 'AccessKey: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://video.bunnycdn.com/library/{libraryId}/collections"
payload = { "name": "<string>" }
headers = {
"AccessKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {AccessKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://video.bunnycdn.com/library/{libraryId}/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"videoLibraryId": 123,
"guid": "<string>",
"name": "<string>",
"videoCount": 123,
"totalSize": 123,
"previewVideoIds": "<string>",
"previewImageUrls": [
"<string>"
]
}Manage Collections
Create Collection
POST
/
library
/
{libraryId}
/
collections
Create Collection
Authorizations
AccessKey based authentication
Path Parameters
Body
application/json
The name of the collection
Response
The collection was successfully created
The video library ID that contains the collection
The unique ID of the collection
The name of the collection
The number of videos that the collection contains
The total storage size of the collection
The IDs of videos to be used as preview icons
The URLs of preview images of videos in the collection
Last modified on July 9, 2026
Was this page helpful?
⌘I